(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-services")

children-align center

(label (_ " Services control console"))

(hbox
	 children-align center
	 (layout-policy 100 70)
    (vbox
	children-align center
	(label (_ "Enabled"))
	(document:id enabled (listbox (layout-policy 50 -2) rows (woo-list-names '/services 'kind 'enabled)
	    (when selected 
			(l1 text (woo-list-names '/services 'kind 'status 'name (enabled text))) 
	    )
	))
    )
    (vbox
	children-align center
	(button (_ "Disable >>>")
				(when clicked
				  (woo-write '/services 'command 'off 'service (enabled text) )
				  (disabled rows (woo-list-names '/services 'kind 'disabled) )
				  (enabled rows (woo-list-names '/services 'kind 'enabled) ) 
				)
	)
	(button (_ "<<< Enable")
				(when clicked
				  (woo-write '/services 'command 'on 'service (disabled text))
				  (disabled rows (woo-list-names '/services 'kind 'disabled))
				  (enabled rows (woo-list-names '/services 'kind 'enabled))
				)
	)			
    )	  
    (vbox
	 children-align center
	 (label (_ "Disabled"))
	 (document:id disabled (listbox (layout-policy 50 -2) rows (woo-list-names '/services 'kind 'disabled) 
	    (when selected 
			(l1 text (woo-list-names '/services 'kind 'status 'name (disabled text) ) )
	    )  
	 ))
    )
)

(label (_ "Status:"))
(document:id l1 (label (_ "Choose service")))
(hbox
    (button (_ "Stop") 
	(when clicked 
	    (l1 text
	     (woo-list-names '/services 'kind 'stop 'name (enabled text))
    	    )
	)
    )
    
    (button (_ "Start") 
	(when clicked 
	    (l1 text
	     (woo-list-names '/services 'kind 'start 'name (disabled text))
	    )
	)
    ) 
)


(label (_ "Choose runlevel:") )
(document:id CB (combobox 
    (rows (append `("0" "1" "2" "3" "4" "5" "6"))) current "5" 
	(when selected 
	    (disabled rows (woo-list-names '/services 'rv (CB text) ) )
	    (enabled rows (woo-list-names '/services 'rv (CB text) ) )
	    (disabled rows (woo-list-names '/services 'kind 'disabled) )
	    (enabled rows (woo-list-names '/services 'kind 'enabled) )			
	)
))

(frame:buttons-view
    (button (_ "Help")
    	(when clicked
	    (splash-message (_ "HELP: Choose runlevel and move service") )
	    (document:release)
	    (sleep 4);woo-write
	    (splash-message)
	)
    )
    (button (_ "Refresh")
	(when clicked
	    (disabled rows (woo-list-names '/services 'kind 'disabled) )
	    (enabled rows (woo-list-names '/services 'kind 'enabled) )			
	) 
    )
    (button (_ "Quit")
	(when clicked (document:end)
	)
    )
)
